com.google.gwt.uibinder.attributeparsers

## Class StringAttributeParser

- java.lang.Object
- - com.google.gwt.uibinder.attributeparsers.StringAttributeParser

All Implemented Interfaces:
  AttributeParser

    class StringAttributeParser
    extends java.lang.Object
    implements AttributeParser

Parses a string attribute.

### Nested Class Summary

Nested Classes
`(package private) static class` `StringAttributeParser.FieldReferenceDelegate`

### Constructor Summary

Constructors
Constructor and Description
`StringAttributeParser(FieldReferenceConverter converter, JType stringType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `parse(com.google.gwt.uibinder.rebind.XMLElement source, java.lang.String value)` Parse the given attribute value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringAttributeParser

    StringAttributeParser(FieldReferenceConverter converter,
                          JType stringType)

### Method Detail

#### parse

    public java.lang.String parse(com.google.gwt.uibinder.rebind.XMLElement source,
                                  java.lang.String value)

Description copied from interface: `AttributeParser`
Parse the given attribute value.

Specified by:
  `parse` in interface `AttributeParser`
Parameters:
  `source` - the source code the value came from, for error reporting purposes
  `value` - the attribute value to be parsed
Returns:
  a valid Java expression